/**
* @file application.h
* @brief Header file for example application.
* @author JK, ELV Elektronik AG
* @date 10.09.2021
* @version 1
**/
/*-----------------------------------------------------------------------------
* Copyright 2021 ELV Elektronik AG
* All Rights Reserved.
*
* The information contained in this file is confidential property of "ELV
* Elektronik AG". The use copying, transfer or disclosure is prohibited
* except by written agreement with "ELV Elektronik AG".
*----------------------------------------------------------------------------*/
/** @addtogroup Application
* @{
**/
/*---------------------------------------------------------------------------*/

#ifndef __APPLICATION_H
#define __APPLICATION_H

#include <stdint.h>

/*
 *  Includes ------------------------------------------------------------------
 */

/*
 *  Definitions ---------------------------------------------------------------
 */
#define SEC_2_MS(x)						(x * 1000)
#define MIN_2_MS(x)						(SEC_2_MS(x * 60))


#define DEFAULT_APPLICATION_CYCLE		MIN_2_MS( 5 )
/*
 *  Typedefs ------------------------------------------------------------------
 */

/*
 *  Variables ----------------------------------------------------------------
 */

/*
 *  Prototypes ----------------------------------------------------------------
 */
void application_init( void );

void application_run( void );

uint8_t build_application_payload( uint8_t* buffer );

void application_downlink( uint8_t* downlink_data, uint8_t downlink_size );

#endif /* __APPLICATION_H */
