/**
* @file hw_conf.h
* @brief Header file for example hardware.
* @author JK, ELV Elektronik AG
* @date 10.09.2021
* @version 1
**/
/*-----------------------------------------------------------------------------
* Copyright 2021 ELV Elektronik AG
* All Rights Reserved.
*
* The information contained in this file is confidential property of "ELV
* Elektronik AG". The use copying, transfer or disclosure is prohibited
* except by written agreement with "ELV Elektronik AG".
*----------------------------------------------------------------------------*/
/** @addtogroup Hardware_config
* @{
**/
/*---------------------------------------------------------------------------*/

#ifndef __HW_CONF_H
#define __HW_CONF_H

/*
 *  Includes ------------------------------------------------------------------
 */

/*
 *  Definitions ---------------------------------------------------------------
 */

#define BUTTON_GPIO_PORT                		GPIOA                           // Port of State Button
#define BUTTON_GPIO_PIN                 		GPIO_PIN_0                      // Pin of State Button
#define BUTTON_GPIO_CLK_ENABLE()       			__HAL_RCC_GPIOA_CLK_ENABLE()    // Enable GPIOs clock of State Button
#define BUTTON_GPIO_CLK_DISABLE()     			__HAL_RCC_GPIOA_CLK_DISABLE()   // Disable GPIOs clock of State Button

#define LED_GREEN_GPIO_PORT                  	GPIOB                           // Port of green LED
#define LED_GREEN_GPIO_PIN                   	GPIO_PIN_3                      // Pin of green LED
#define LED_GREEN_GPIO_CLK_ENABLE()          	__HAL_RCC_GPIOB_CLK_ENABLE()    // Enable GPIOs clock of green LED
#define LED_GREEN_GPIO_CLK_DISABLE()         	__HAL_RCC_GPIOB_CLK_DISABLE()   // Disable GPIOs clock of green LED

#define LED_RED_GPIO_PORT                    	GPIOA                           // Port of red LED
#define LED_RED_GPIO_PIN                     	GPIO_PIN_15                     // Pin of red LED
#define LED_RED_GPIO_CLK_ENABLE()            	__HAL_RCC_GPIOA_CLK_ENABLE()    // Enable GPIOs clock of red LED
#define LED_RED_GPIO_CLK_DISABLE()           	__HAL_RCC_GPIOA_CLK_DISABLE()   // Disable GPIOs clock of red LED



#endif /* __HW_CONF_H */
