/**
* @file peripherals.h
* @brief Header file for example peripherals.
* @author JK, ELV Elektronik AG
* @date 10.09.2021
* @version 1
**/
/*-----------------------------------------------------------------------------
* Copyright 2021 eQ-3 ELV Elektronik AG
* All Rights Reserved.
*
* The information contained in this file is confidential property of "ELV
* Elektronik AG". The use, copying, transfer or disclosure is prohibited
* except by written agreement with "ELV Elektronik AG".
*----------------------------------------------------------------------------*/
/** @addtogroup peripherals
* @{
**/
/*---------------------------------------------------------------------------*/

#ifndef __PERIPHERY_H
#define __PERIPHERY_H

/*
 *  Includes ------------------------------------------------------------------
 */
#include <stdint.h>


/*
 *  Definitions ---------------------------------------------------------------
 */
#define BUTTON_DEBOUNCE_PERIOD                       5
/*
 *  Typedefs ------------------------------------------------------------------
 */

/*
 *  Variables ----------------------------------------------------------------
 */

/*
 *  Prototypes ----------------------------------------------------------------
 */

void button_init( void (*button_triggered_cb)( void ) );
void button_deinit( void );

/*!
 * Will be called to check if button state is stable
 */
void debounce_button( void *context );

/*!
 * State button callack
 */
void state_button_cb(void *context);


void leds_init( void );
void leds_deinit( void );

void led_red_en( uint8_t en );
void led_red_toggle( void );
void led_red_flash( void );

void led_green_en( uint8_t en );
void led_green_toggle( void );
void led_green_flash( void );




#endif /* __PERIPHERY_H */
